{
  "name": "@diva.exchange/divachain",
  "version": "0.35.0",
  "description": "diva - Distributed value exchange upholding security, reliability and privacy",
  "bin": "dist/main.js",
  "keywords": [
    "blockchain",
    "pbft",
    "bft",
    "consensus",
    "diva.exchange",
    "p2p",
    "i2p"
  ],
  "author": "Konrad Baechler <konrad@diva.exchange> (https://diva.exchange)",
  "license": "AGPL-3.0-or-later",
  "repository": {
    "type": "git",
    "url": "https://codeberg.org/diva.exchange/divachain.git"
  },
  "scripts": {
    "build": "bin/build.sh",
    "clean": "rm -rf dist/*",
    "lint": "prettier -w \"**/*.ts\" && eslint --fix src/ test/ --ext .ts",
    "start": "NODE_ENV=production node dist/main.js | pino-pretty -t -i pid,hostname",
    "start-dev": "NODE_ENV=development ts-node --files src/main.ts | pino-pretty -t -i pid,hostname",
    "test": "TS_NODE_PROJECT=./test/tsconfig.json NODE_ENV=test LOG_LEVEL=trace DEBUG_PERFORMANCE=1 nyc mocha",
    "clean-test": "test/bin/clean-testenv.sh"
  },
  "pkg": {
    "scripts": "dist/**/*.js",
    "assets": [
      "dist/schema/**/*",
      "dist/version",
      "genesis/*",
      "node_modules/sodium-native/prebuilds/linux-x64/*"
    ],
    "targets": [
      "node14-linux-x64"
    ]
  },
  "dependencies": {
    "@diva.exchange/i2p-sam": "^4.1.2",
    "ajv": "^8.11.0",
    "compression": "^1.7.4",
    "express": "^4.18.1",
    "http-errors": "^2.0.0",
    "level": "^8.0.0",
    "nanoid": "^3.3.4",
    "pino": "^8.3.0",
    "rfc4648": "^1.5.2",
    "simple-get": "^4.0.1",
    "socks-proxy-agent": "^7.0.0",
    "sodium-native": "^3.3.0",
    "ws": "^8.8.1"
  },
  "devDependencies": {
    "@cspotcode/source-map-support": "^0.8.1",
    "@istanbuljs/nyc-config-typescript": "^1.0.2",
    "@testdeck/mocha": "^0.2.0",
    "@tsconfig/node14": "^1.0.3",
    "@types/chai": "^4.3.1",
    "@types/compression": "^1.7.2",
    "@types/express": "^4.17.13",
    "@types/express-serve-static-core": "^4.17.29",
    "@types/http-errors": "^1.8.2",
    "@types/level": "^6.0.1",
    "@types/mocha": "^9.1.1",
    "@types/node": "^18.6.1",
    "@types/sodium-native": "^2.3.5",
    "@types/ws": "^8.5.3",
    "@typescript-eslint/eslint-plugin": "^5.30.7",
    "@typescript-eslint/parser": "^5.30.7",
    "ajv-cli": "^5.0.0",
    "chai": "^4.3.6",
    "chai-http": "^4.3.0",
    "eslint": "^8.20.0",
    "eslint-config-prettier": "^8.5.0",
    "eslint-plugin-prettier": "^4.2.1",
    "mocha": "^10.0.0",
    "nyc": "^15.1.0",
    "pino-pretty": "^8.1.0",
    "pkg": "^5.8.0",
    "prettier": "^2.7.1",
    "ts-node": "^10.9.1",
    "typescript": "^4.7.4"
  }
}
